OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations
tilehighlight_type.h File Reference

Types related to highlighting tiles. More...

`#include "core/geometry_type.hpp"`
`#include "window_type.h"`
`#include "tile_type.h"`
`#include "viewport_type.h"`

Go to the source code of this file.

## Data Structures
struct | TileHighlightData
| Metadata about the current highlighting. More...

## Enumerations
enum | HighLightStyle { HT_NONE = 0x000, HT_RECT = 0x010, HT_POINT = 0x020, HT_SPECIAL = 0x030, HT_DRAG = 0x040, HT_LINE = 0x008, HT_RAIL = 0x080, HT_VEHICLE = 0x100, HT_DIAGONAL = 0x200, HT_DRAG_MASK = 0x0F8, HT_DIR_X = 0, HT_DIR_Y = 1, HT_DIR_HU = 2, HT_DIR_HL = 3, HT_DIR_VL = 4, HT_DIR_VR = 5, HT_DIR_END, HT_DIR_MASK = 0x7 }
| Highlighting draw styles. More...

## Detailed Description

Types related to highlighting tiles.

Definition in file tilehighlight_type.h.

## Enumeration Type Documentation

enum HighLightStyle

Highlighting draw styles.

Enumerator:

  HT_NONE | default
  HT_RECT | rectangle (stations, depots, ...)
  HT_POINT | point (lower land, raise land, level land, ...)
  HT_SPECIAL | special mode used for highlighting while dragging (and for tunnels/docks)
  HT_DRAG | dragging items in the depot windows
  HT_LINE | used for autorail highlighting (longer stretches), lower bits: direction
  HT_RAIL | autorail (one piece), lower bits: direction
  HT_VEHICLE | vehicle is accepted as target as well (bitmask)
  HT_DIAGONAL | Also allow 'diagonal rectangles'. Only usable in combination with HT_RECT or HT_POINT.
  HT_DRAG_MASK | Mask for the tile drag-type modes.
  HT_DIR_X | X direction.
  HT_DIR_Y | Y direction.
  HT_DIR_HU | horizontal upper
  HT_DIR_HL | horizontal lower
  HT_DIR_VL | vertical left
  HT_DIR_VR | vertical right
  HT_DIR_END | end marker
  HT_DIR_MASK | masks the drag-direction

Definition at line 21 of file tilehighlight_type.h.